Index: /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 22122)
@@ -108,40 +108,43 @@
         $this->arrSearchHidden = $objFormParam->getSearchArray();
 
+        // 履歴を読み込むか
+        $load_history = SC_Utils_Ex::sfIsInt($this->tpl_order_id);
+
         switch ($this->getMode()) {
-            case 'pre_edit':
-            case 'mail_select':
-                break;
-            case 'return':
-                break;
+            case 'confirm':
+                $status = $this->confirm($objFormParam);
+                if ($status === true) {
+                    $load_history = false;
+                } else {
+                    $this->arrErr = $status;
+                }
+                break;
+
             case 'send':
                 $sendStatus = $this->doSend($objFormParam);
                 if ($sendStatus === true) {
-
                     SC_Response_Ex::sendRedirect(ADMIN_ORDER_URLPATH);
                     SC_Response_Ex::actionExit();
-                } else {
-                    $this->arrErr = $sendStatus;
                 }
-            case 'confirm':
-                $status = $this->confirm($objFormParam);
-                if ($status === true) {
-                    $this->arrHidden = $objFormParam->getHashArray();
-
-                    return ;
-                } else {
-                    $this->arrErr = $status;
-                }
-                break;
+                $this->arrErr = $sendStatus;
+                break;
+
             case 'change':
                 $objFormParam =  $this->changeData($objFormParam);
                 break;
-        }
-
-        if (SC_Utils_Ex::sfIsInt($objFormParam->getValue('order_id'))) {
-            $this->arrMailHistory = $this->getMailHistory($objFormParam->getValue('order_id'));
-        }
-
+
+            case 'pre_edit':
+            case 'mail_select':
+            case 'return':
+            default:
+                break;
+        }
+
+        // 入力内容の引き継ぎ
         $this->arrForm = $objFormParam->getFormParamList();
 
+        if ($load_history) {
+            $this->arrMailHistory = $this->getMailHistory($this->tpl_order_id);
+        }
     }
 
@@ -172,5 +175,4 @@
             foreach ($order_id_array as $order_id){
                 $objMail = new SC_Helper_Mail_Ex();
-                $objMail->setPage($this);
                 $objSendMail = $objMail->sfSendOrderMail($order_id,
                 $objFormParam->getValue('template_id'),
@@ -195,5 +197,4 @@
             // 注文受付メール(送信なし)
             $objMail = new SC_Helper_Mail_Ex();
-            $objMail->setPage($this);
             $objSendMail = $objMail->sfSendOrderMail(
                 $objFormParam->getValue('order_id'),
@@ -218,19 +219,21 @@
      */
     function changeData(&$objFormParam) {
-        if (SC_Utils_Ex::sfIsInt($objFormParam->getValue('template_id'))) {
-            $objQuery =& SC_Query_Ex::getSingletonInstance();
-            $where = 'template_id = ?';
-            $mailTemplates = $objQuery->select('subject, header, footer', 'dtb_mailtemplate', $where, array($objFormParam->getValue('template_id')));
-            if (!is_null($mailTemplates)) {
-                foreach (array('subject','header','footer') as $key) {
-                    $objFormParam->setValue($key,$mailTemplates[$key]);
-                }
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        if (!SC_Utils_Ex::sfIsInt($objFormParam->getValue('template_id'))) {
+            trigger_error('テンプレートが指定されていません。', E_USER_ERROR);
+        }
+
+        $where = 'template_id = ?';
+        $arrWhereVal = array($objFormParam->getValue('template_id'));
+        $mailTemplates = $objQuery->getRow('subject, header, footer', 'dtb_mailtemplate', $where, $arrWhereVal);
+        if (empty($mailTemplates)) {
+            foreach (array('subject','header','footer') as $key) {
+                $objFormParam->setValue($key, '');
             }
-            $objFormParam->setParam($mailTemplates[0]);
         } else {
-            foreach (array('subject','header','footer') as $key) {
-                $objFormParam->setValue($key,'');
-            }
-        }
+            $objFormParam->setParam($mailTemplates);
+        }
+
         return $objFormParam;
     }
Index: /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 22122)
@@ -83,5 +83,4 @@
 
         $this->arrForm = $objFormParam->getHashArray();
-        //        $this->arrForm = $_POST;
 
         //支払方法の取得
@@ -91,33 +90,26 @@
             case 'update':
                 switch ($objFormParam->getValue('change_status')) {
-                    case '':
-                        break;
-                        // 削除
+                    // 削除
                     case 'delete':
                         $this->lfDelete($objFormParam->getValue('move'));
                         break;
-                        // 更新
+                    // 更新
                     default:
                         $this->lfStatusMove($objFormParam->getValue('change_status'), $objFormParam->getValue('move'));
                         break;
                 }
-
-                // 対応状況
-                $status = !is_null($objFormParam->getValue('status')) ? $objFormParam->getValue('status') : '';
                 break;
 
             case 'search':
-                // 対応状況
-                $status = !is_null($_POST['status']) ? $objFormParam->getValue('status') : '';
+            default:
                 break;
-
-            default:
-                // 対応状況
+        }
+
+        // 対応状況
+        $status = $objFormParam->getValue('status');
+        if (strlen($status) === 0) {
                 //デフォルトで新規受付一覧表示
                 $status = ORDER_NEW;
-                break;
-        }
-
-        // 対応状況
+        }
         $this->SelectedStatus = $status;
         //検索結果の表示
@@ -133,7 +125,9 @@
         $objFormParam->addParam(t('PARAM_LABEL_ORDER_NUMBER'), 'order_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_BEFORE_ORDER_STATUS'), 'status', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_AFTER_ORDER_STATUS'), 'change_status', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_PAGE_NO'), 'search_pageno', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_MOVE_ORDER_NUMBER'), 'move', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+		if ($this->getMode() == 'update') {
+        	$objFormParam->addParam(t('PARAM_LABEL_AFTER_ORDER_STATUS'), 'change_status', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        	$objFormParam->addParam(t('PARAM_LABEL_MOVE_ORDER_NUMBER'), 'move', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
+        }
     }
 
@@ -149,11 +143,4 @@
             $objFormParam->setValue('search_pageno', 1);
         }
-
-        if ($this->getMode() == 'change') {
-            if (is_null($objFormParam->getValue('change_status'))) {
-                $objFormParam->setValue('change_status','');
-            }
-        }
-
     }
 
Index: /branches/version-2_12-multilang/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 22122)
@@ -175,5 +175,5 @@
     function getRecommendProducts() {
         $objQuery = $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = 'dtb_products.name,dtb_products.main_list_image,dtb_best_products.*';
+        $col = 'dtb_products.name,dtb_products.main_list_image,dtb_products.del_flg as p_del_flg,dtb_best_products.*';
         $table = 'dtb_best_products INNER JOIN dtb_products ON dtb_best_products.product_id = dtb_products.product_id';
         $where = 'dtb_best_products.del_flg = 0';
Index: /branches/version-2_12-multilang/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 21935)
+++ /branches/version-2_12-multilang/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 22122)
@@ -94,5 +94,5 @@
         $col = 'T1.best_id, T1.category_id, T1.rank, T1.product_id, T1.title, T1.comment, T1.create_date, T1.update_date';
         $table = 'dtb_best_products as T1 INNER JOIN dtb_products as T2 ON T1.product_id = T2.product_id';
-        $where = 'T1.del_flg = 0 and T2.status = 1';
+        $where = 'T1.del_flg = 0 and T2.status = 1 and T2.del_flg = 0';
         $objQuery->setOrder('T1.rank');
         $objQuery->setLimit(RECOMMEND_NUM);
Index: /branches/version-2_12-multilang/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 22122)
@@ -77,5 +77,4 @@
         $objPurchase = new SC_Helper_Purchase_Ex();
         $objHelperMail = new SC_Helper_Mail_Ex();
-        $objHelperMail->setPage($this);
 
         $this->is_multiple = $objPurchase->isMultiple();
Index: /branches/version-2_12-multilang/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_CheckError.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/SC_CheckError.php	(revision 22122)
@@ -559,5 +559,5 @@
         }
         $this->createParam($value);
-        if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:graph:]|[:space:]]+$/i", $this->arrParam[$value[1]])) {
+        if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:graph:][:space:]]+$/i", $this->arrParam[$value[1]])) {
             $this->arrErr[$value[1]] = t('SC_CheckError_030', array('T_FIELD' => $value[0]));
         }
